Attach leader to stream
POST/api/streams/{stream_id}/leaders/{leader_id}
Requires Streams to be enabled in company settings.
This endpoint allows you to attach a leader to a stream
Required permissions:
- settings.company: allows attaching leaders to streams.
Request
Path Parameters
Possible values: Value must match regular expression [0-9]+
The ID of the stream
Possible values: Value must match regular expression [0-9]+
The ID of the person to attach to the stream as leader
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 401
- 403
- 404
- 412
Leader successfully attached to the stream.
- application/json
- Schema
- Example (from schema)
Schema
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: >= 1
The ID of the stream
Possible values: >= 1
The ID of the person attached to the stream as leader
The date and time when the resource was deleted
{
"id": 1,
"created_at": "2026-04-24T10:03:54.905Z",
"updated_at": "2026-04-24T10:03:54.905Z",
"stream_id": 1,
"leader_id": 1,
"deleted_at": "2026-04-24T10:03:54.905Z"
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Not found
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "not_found",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "precondition_failure",
"message": "string"
}